import { Data } from "./data.model";
import { Server, ServerFilter } from "./server.model";

export interface AutoRole extends Data {
  id?: number;
  channelId?: string;
  channelName?: string;
  messageId?: string;
  server?: Server;

  autoRoleRuleCount?: number;
  autoRoleRules?: AutoRoleRule[];
}

export interface AutoRoleFilter {
  id?: number;
  channelId?: string;
  channelName?: string;
  messageId?: string;
  server?: ServerFilter;
}

export interface AutoRoleRule extends Data {
  id?: number;
  emojiName?: string;
  roleId?: string;
  roleName?: string;
  autoRole?: AutoRole;
}

export interface AutoRoleRuleFilter {
  id?: number;
  emojiName?: string;
  roleId?: string;
  autoRole?: AutoRoleFilter;
}
