import {AuthRoles} from "./auth-roles.enum";

export interface AuthUserDTO {
  id?: number;
  firstName: string | null;
  lastName: string | null;
  email: string | null;
  password: string | null;
  isConfirmed?: boolean;
  authRole?: AuthRoles;
  users?: UserDTO[];
  createdAt?: string;
  modifiedAt?: string;
}


export interface UserDTO {
  id: number;
  discordId: number;
  xp: number;
  server: number;
  createdAt: string;
  modifiedAt: string;
  isTechnician: boolean;
  isAdmin: boolean;
  isModerator: boolean;
}
